---
title: '::-webkit-search-results-button'
slug: 'Web/CSS/::-webkit-search-results-button'
tags:
  - CSS
  - NeedsExample
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<p>{{CSSRef}}{{Non-standard_header}}</p>

<p>The <strong><code>::-webkit-search-results-button</code></strong> CSS <a href="/en/CSS/Pseudo-elements">pseudo-element</a> represents a button (the "search results button") at the left edge of an {{HTMLElement("input")}} of <code>type="search"</code> which when clicked displays a menu which allows the user to choose from previous recent search queries. This button and pseudo-element are non-standard, supported only in WebKit and Blink, hence the vendor prefix. The search results button is only shown on search {{HTMLElement("input")}} elements that have a <a href="/en/docs/Web/HTML/Element/Input#attr-results"><code>results</code></a> attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"> <em>selector</em>::-webkit-search-results-button</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-search-results-button")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref('::-webkit-search-cancel-button')}}</li>
</ul>
